Name:           python-dwave-networkx
Version:        0.8.17
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A NetworkX extension providing graphs and algorithms relevant to working with the D-Wave System

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/dwavesystems/dwave_networkx
Source:         %{pypi_source dwave_networkx}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dwave-networkx' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dwave-networkx
Summary:        %{summary}

%description -n python3-dwave-networkx %_description


%prep
%autosetup -p1 -n dwave_networkx-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dwave-networkx -f %{pyproject_files}


%changelog
%autochangelog